Page MenuHomePhabricator

Remove bibtex from Citoid's public API
Closed, DeclinedPublic

Description

The new version of Zotero's translation server does not (yet) support exporting references to bibtex, so we need to remove it from the public API.

Event Timeline

mobrovac created this task.Aug 9 2018, 3:23 PM
mobrovac triaged this task as Normal priority.
Restricted Application added a project: VisualEditor. · View Herald TranscriptAug 9 2018, 3:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

PR #1046 removes the support for it.

Mvolz added a comment.Aug 9 2018, 6:51 PM

If this graph is accurate, it seems to suggest that 1/4 of our traffic is bibtex :/ https://grafana.wikimedia.org/dashboard/db/service-citoid?orgId=1

Mvolz added a comment.Aug 10 2018, 9:40 AM

As per https://github.com/zotero/translation-server-v2/issues/5#issuecomment-412031329 it's going to be done soon so I think we should actually not do this :).

Mvolz closed this task as Declined.Aug 10 2018, 9:41 AM
Mvolz removed mobrovac as the assignee of this task.
mobrovac reopened this task as Open.Aug 10 2018, 10:23 AM

If this graph is accurate, it seems to suggest that 1/4 of our traffic is bibtex :/ https://grafana.wikimedia.org/dashboard/db/service-citoid?orgId=1

This was all due to our automated checking infrastructure which requested bibtex. After removing it from spec.yaml all of the bibtex request went away. Therefore, no external clients are actually using bibtex.

As per https://github.com/zotero/translation-server-v2/issues/5#issuecomment-412031329 it's going to be done soon so I think we should actually not do this :).

This is very interesting info. Nevertheless, I reopened the ticket for now. Let's keep our eyes on the resolution of the issue, and if exporting is ready by the time we are ready to deploy zotero v2, we can keep bibtex. Alternatively, we can re-add it once it's ready on their side if it happens to be after our deployment.

Ah okay. So how much of our total traffic is automatically automated checks?

@Mvolz according to the export PR, bibtex is now available in translation-server-v2. Have you had a chance to test it, perhaps?

Mvolz added a comment.Sep 12 2018, 1:03 PM

@Mvolz according to the export PR, bibtex is now available in translation-server-v2. Have you had a chance to test it, perhaps?

Yup, works - can safely decline this I think?

Mvolz closed this task as Declined.Sep 12 2018, 1:03 PM